<template>
  <section class="control">
    <div class="contol__info">
      <span class="control__info_count">{{ allMovies.length }} movie found</span>
    </div>

    <radio-buttons
      class="buttons"
      left-button-id="ReleaseDate"
      left-button-value="release date"
      right-button-id="Rating"
      right-button-value="Rating"
      radio-button-name="Sort by"
    >
    </radio-buttons>
  </section>
</template>

<script>
import RadioButtons from "./RadioButtons";
import {mapActions, mapGetters} from "vuex";
export default {
  components: { RadioButtons },
  computed: {
    ...mapGetters(["allMovies"]),
    ...mapActions(["updateMovies"]),
    sortValue: {
      get: function () {
        return this.$store.state.sort
      },
      set: function (value) {
        this.$store.commit("setSort", value)
      }
    }
  }
};
</script>
<style scoped lang="scss">
.control {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #555;
  padding: 15px;
  overflow: hidden;
  margin: 0 auto;
  color: white;
  &__info {
    &_count {
      display: inline-block;
      padding-right: 5px;
    }
  }
}
</style>
